Index: trunk/LMDZ.MARS/libf/phymars/physiq_mod.F
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 1779)
+++ trunk/LMDZ.MARS/libf/phymars/physiq_mod.F	(revision 1816)
@@ -338,5 +338,4 @@
       REAL Mccntot(ngrid)       ! Total mass of ccn (kg/m2)
       REAL rave(ngrid)          ! Mean water ice effective radius (m)
-      REAL raveco2(ngrid)       ! Mean co2 ice effective radius (m)
       REAL opTES(ngrid,nlayer)  ! abs optical depth at 825 cm-1
       REAL tauTES(ngrid)        ! column optical depth at 825 cm-1
@@ -1218,5 +1217,5 @@
 
          
-         IF (co2clouds) THEN
+         IF (co2clouds ) THEN
             
             call co2cloud(ngrid,nlayer,ptimestep,
@@ -1225,13 +1224,14 @@
      &           nq,tau,tauscaling,rdust,rice,riceco2,nuice,
      &           rsedcloudco2,rhocloudco2,
-     &           rsedcloud,rhocloud,zzlev,zdqssed_co2)
+     &           rsedcloud,rhocloud,zzlev,zdqssed_co2,
+     &           pdu,pu)
                 
 
 c Temperature variation due to latent heat release
-            if (activice) then  !Maybe create activice_co2 ?
+c            if (activice) then  !Maybe create activice_co2 ?
                pdt(1:ngrid,1:nlayer) = 
      &              pdt(1:ngrid,1:nlayer) + 
-     &              zdtcloudco2(1:ngrid,1:nlayer)
-            endif
+     &              zdtcloudco2(1:ngrid,1:nlayer)! --> in newcondens
+c            endif
             
 
@@ -1240,36 +1240,40 @@
 ! This is due to single precision rounding problems
               
-              pdq(1:ngrid,1:nlayer,igcm_co2) = 
-     &             pdq(1:ngrid,1:nlayer,igcm_co2) + 
-     &             zdqcloudco2(1:ngrid,1:nlayer,igcm_co2)
-              pdq(1:ngrid,1:nlayer,igcm_co2_ice) = 
-     &             pdq(1:ngrid,1:nlayer,igcm_co2_ice) + 
-     &             zdqcloudco2(1:ngrid,1:nlayer,igcm_co2_ice)
-              pdq(1:ngrid,1:nlayer,igcm_ccnco2_mass) = 
-     &             pdq(1:ngrid,1:nlayer,igcm_ccnco2_mass) + 
-     &             zdqcloudco2(1:ngrid,1:nlayer,igcm_ccnco2_mass)
-             pdq(1:ngrid,1:nlayer,igcm_ccnco2_number) = 
-     &             pdq(1:ngrid,1:nlayer,igcm_ccnco2_number) + 
-     &             zdqcloudco2(1:ngrid,1:nlayer,igcm_ccnco2_number)
-             !Update water ice clouds values as well
-             pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = 
-     &            pdq(1:ngrid,1:nlayer,igcm_h2o_ice) + 
-     &            zdqcloudco2(1:ngrid,1:nlayer,igcm_h2o_ice)
-             
-! increment dust and ccn masses and numbers
-! We need to check that we have Nccn & Ndust > 0
-! This is due to single precision rounding problems
-             pdq(1:ngrid,1:nlayer,igcm_ccn_mass) = 
-     &            pdq(1:ngrid,1:nlayer,igcm_ccn_mass) + 
-     &            zdqcloudco2(1:ngrid,1:nlayer,igcm_ccn_mass)
-             pdq(1:ngrid,1:nlayer,igcm_ccn_number) = 
-     &            pdq(1:ngrid,1:nlayer,igcm_ccn_number) + 
-     &            zdqcloudco2(1:ngrid,1:nlayer,igcm_ccn_number)
-             where (pq(:,:,igcm_ccn_mass) + 
-     &            ptimestep*pdq(:,:,igcm_ccn_mass) < 0.)
-             pdq(:,:,igcm_ccn_mass) = 
-     &            - pq(:,:,igcm_ccn_mass)/ptimestep + 1.e-30
-             pdq(:,:,igcm_ccn_number) = 
-     &            - pq(:,:,igcm_ccn_number)/ptimestep + 1.e-30
+! increment dust tracers tendancies
+               pdq(1:ngrid,1:nlayer,igcm_dust_mass) = 
+     &              pdq(1:ngrid,1:nlayer,igcm_dust_mass) + 
+     &              zdqcloudco2(1:ngrid,1:nlayer,igcm_dust_mass)          
+               pdq(1:ngrid,1:nlayer,igcm_dust_number) = 
+     &              pdq(1:ngrid,1:nlayer,igcm_dust_number) + 
+     &              zdqcloudco2(1:ngrid,1:nlayer,igcm_dust_number)
+               pdq(1:ngrid,1:nlayer,igcm_co2) = 
+     &              pdq(1:ngrid,1:nlayer,igcm_co2) + 
+     &              zdqcloudco2(1:ngrid,1:nlayer,igcm_co2)
+               pdq(1:ngrid,1:nlayer,igcm_co2_ice) = 
+     &              pdq(1:ngrid,1:nlayer,igcm_co2_ice) + 
+     &              zdqcloudco2(1:ngrid,1:nlayer,igcm_co2_ice)
+               pdq(1:ngrid,1:nlayer,igcm_ccnco2_mass) = 
+     &              pdq(1:ngrid,1:nlayer,igcm_ccnco2_mass) + 
+     &              zdqcloudco2(1:ngrid,1:nlayer,igcm_ccnco2_mass)
+               pdq(1:ngrid,1:nlayer,igcm_ccnco2_number) = 
+     &              pdq(1:ngrid,1:nlayer,igcm_ccnco2_number) + 
+     &              zdqcloudco2(1:ngrid,1:nlayer,igcm_ccnco2_number)
+!Update water ice clouds values as well
+             if (co2useh2o) then
+                pdq(1:ngrid,1:nlayer,igcm_h2o_ice) = 
+     &               pdq(1:ngrid,1:nlayer,igcm_h2o_ice) + 
+     &               zdqcloudco2(1:ngrid,1:nlayer,igcm_h2o_ice)
+                pdq(1:ngrid,1:nlayer,igcm_ccn_mass) = 
+     &               pdq(1:ngrid,1:nlayer,igcm_ccn_mass) + 
+     &               zdqcloudco2(1:ngrid,1:nlayer,igcm_ccn_mass)
+                pdq(1:ngrid,1:nlayer,igcm_ccn_number) = 
+     &               pdq(1:ngrid,1:nlayer,igcm_ccn_number) + 
+     &               zdqcloudco2(1:ngrid,1:nlayer,igcm_ccn_number)
+                where (pq(:,:,igcm_ccn_mass) + 
+     &               ptimestep*pdq(:,:,igcm_ccn_mass) < 0.)
+                pdq(:,:,igcm_ccn_mass) = 
+     &               - pq(:,:,igcm_ccn_mass)/ptimestep + 1.e-30
+                pdq(:,:,igcm_ccn_number) = 
+     &               - pq(:,:,igcm_ccn_number)/ptimestep + 1.e-30
              end where
              where (pq(:,:,igcm_ccn_number) + 
@@ -1279,5 +1283,6 @@
              pdq(:,:,igcm_ccn_number) = 
      &            - pq(:,:,igcm_ccn_number)/ptimestep + 1.e-30
-             end where
+          end where
+       endif
 c     Negative values?
              where (pq(:,:,igcm_ccnco2_mass) + 
@@ -1296,11 +1301,4 @@
           end where
        
-! increment dust tracers tendancies
-          pdq(1:ngrid,1:nlayer,igcm_dust_mass) = 
-     &         pdq(1:ngrid,1:nlayer,igcm_dust_mass) + 
-     &         zdqcloudco2(1:ngrid,1:nlayer,igcm_dust_mass)          
-          pdq(1:ngrid,1:nlayer,igcm_dust_number) = 
-     &         pdq(1:ngrid,1:nlayer,igcm_dust_number) + 
-     &         zdqcloudco2(1:ngrid,1:nlayer,igcm_dust_number)
 c     Negative values?
           where (pq(:,:,igcm_dust_mass) + 
@@ -1537,5 +1535,7 @@
      $              co2ice,albedo,emis,
      $              zdtc,zdtsurfc,pdpsrf,zduc,zdvc,zdqc,
-     $              fluxsurf_sw,zls) 
+     $              fluxsurf_sw,zls)!,
+c     &              zzlev,zdqssed_co2,zdqcloudco2,
+c     &              zdtcloudco2)
 
          DO l=1,nlayer
@@ -2260,7 +2260,4 @@
       !state  real  RICE      ikj   misc  1  -  h  "RICE"      "ICE RADIUS"                      "m"
       comm_RICE(1:ngrid,1:nlayer) = rice(1:ngrid,1:nlayer)
-      if (co2clouds) then
-        comm_RICE(1:ngrid,1:nlayer) = riceco2(1:ngrid,1:nlayer)
-      endif
    
       !! calculate sensible heat flux in W/m2 for outputs
Index: trunk/LMDZ.MARS/libf/phymars/tcondco2.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/tcondco2.F90	(revision 1816)
+++ trunk/LMDZ.MARS/libf/phymars/tcondco2.F90	(revision 1816)
@@ -0,0 +1,28 @@
+SUBROUTINE tcondco2(ngrid,nlay,p,q,tcond)
+       USE comcstfi_h
+       use conc_mod, only: mmean
+
+IMPLICIT NONE 
+
+!---------------------------------------------------
+! Condensation temperature for co2 ice; based on 
+! the saturation in co2sat.F JA17
+!--------------------------------------------------i
+
+integer, intent(in) :: ngrid,nlay
+real, intent(in), dimension(ngrid,nlay):: p,q
+double precision, intent(out), dimension(ngrid,nlay):: tcond ! CO2 condensation temperature	(atm)
+double precision:: A,B,pco2
+integer:: ig,l
+
+A=dlog(1.382e12)
+B=-3182.48
+
+DO l=1,nlay
+   DO ig=1,ngrid
+      pco2 = q(ig,l) * (mmean(ig,l)/44.01) * p(ig,l)
+      tcond(ig,l)=B/(dlog(pco2)-A)
+    enddo
+enddo
+
+end
Index: trunk/LMDZ.MARS/libf/phymars/updaterad.F90
===================================================================
--- trunk/LMDZ.MARS/libf/phymars/updaterad.F90	(revision 1779)
+++ trunk/LMDZ.MARS/libf/phymars/updaterad.F90	(revision 1816)
@@ -10,5 +10,4 @@
 ! So, subroutines are designed for scalar values instead of tables
 
-
 ! T. Navarro, June 2012
 ! CO2 clouds added 09/16 by J. Audouard
@@ -19,5 +18,4 @@
 real, parameter :: r3icemin = 1.e-30   ! ie ricemin  = 0.0001 microns
 real, parameter :: ricemin  = 1.e-10
-
 real, parameter :: r3icemax = 125.e-12 ! ie ricemax  = 500 microns
 real, parameter :: ricemax  = 500.e-6 
@@ -25,8 +23,6 @@
 double precision, parameter :: r3iceco2min = 1.e-30
 double precision, parameter :: riceco2min  = 1.e-10
-
 double precision, parameter :: r3iceco2max = 125.e-12
 double precision, parameter :: riceco2max  = 500.e-6
-
 
 real, parameter :: qice_threshold  = 1.e-15 ! 1.e-10
@@ -108,5 +104,5 @@
 USE comcstfi_h, only:  pi
 implicit none
-!By CL and JA 09/16
+!CO2 clouds parameter update by CL and JA 09/16
 
 DOUBLE PRECISION, intent(in)  :: qice,qccn,nccn
